Linux driver for ECI HiFocus ADSL USB
and Globespan based modems

EciAdsl: Version 0.12 available

Posted by FlashCode, 2007-08-13 15:37
eciadsl
Driver version 0.12 is available.

Among the news:
- fixed synchronization for last kernels (>= 2.6.18),
- new modems supported,
- many bugs fixed.

Please note: this version still requires patch for any kernel between 2.6.0 and 2.6.6.

      -  EciAdsl download page
      -  v0.12 ChangeLog
 [14 comments]
Re: Version 0.12 available
Posted by M0on, 2007-08-15 00:52
Can you list the fixed bugs, please?
Re: Version 0.12 available
Posted by FlashCode, 2007-08-16 11:45
I added full ChangeLog details for version 0.12 and link to this file in news ;)
Re: Version 0.12 available
Posted by M0on, 2007-08-16 18:20
Thanks! :)
Re: Version 0.12 available
Posted by Opteron, 2007-10-30 13:30
When a compiled 0.12 version for Ubuntu AMD64 version will be avaible? Thanks!
Re: Version 0.12 available
Posted by kun, 2007-11-19 21:20
almost same question with Kubuntu AMD 64
Re: Version 0.12 available
Posted by FlashCode, 2007-11-20 16:13
Unfortunately, I have no hardware/time to do that. If someone is able to do it, I'll add it to download page.
I think you should ask to ubuntu developers for this package, then please let me know when done.
Re: Version 0.12 available
Posted by Ap, 2007-12-13 19:27
OS: UbuntuStudio 7.10
Modem usb D-LINK DSL200-B1
Network - RU WebPlus

Syncronisation ok(i have generated my own bin syncronisation file), device tun1 mounting but i cannot ping anything(but localhost, huh=D)
what to do?
Re: Version 0.12 available
Posted by gg, 2008-01-05 03:36
go kill yourself
Re: Version 0.12 available
Posted by dumer, 2008-02-06 12:41
is it possible to install onto freebsd 1.4.1?
Re: Version 0.12 available
Posted by Leander, 2009-02-11 12:10
I installed eciadsl-usermode-0.12-1.i386 in Fedora 10. Everything went fine, but after start I get message uhci-hcd module does not exist. Further all seems going fine untill step 4/5connection when this lasts forever without obtaining connection.
Im am rather new to linux.
In config I have chosen the good things, like Belgacom, Skynet, chipset etc.

Thx
Leander
Re: Version 0.12 disponible
Posted by RedSox, 2009-05-13 01:03
Bonjour,
J'utilise usbsnoof pour visualiser ce qui se passe sur un materiel usb.
Par contre, je ne comprends rien à au fichier .log qu'il produit.

Pourriez vous m'aider ?
Merci.
Re: Version 0.12 disponible
Posted by mmmh, 2009-08-26 16:40
linux c'est assez balaise de s'y lancer, ce n'est pas du "plug and play" ou "ready to use".
la preuve pour l'installation d'un modem il faut mettre un certain temps...
donc reste sous windows, tu:
1 - double clic sur le driver et
2 - tu branches ton modem,
c'est fini.

sous linux ca m'étonnerait qu'il faut faire aussi simple
Re: Version 0.12 available
Posted by ignatus, 2010-02-09 21:01
error on step [3/5]:
*** glibc has detected an error in /usr/bin/eciadsl-synch: double free or corruption (fasttop): 0x0804f158 ***
======= Backtrace: =========
/lib/libc.so.6[0xb7f213ea]
/lib/libc.so.6[0xb7f228c0]
/lib/libc.so.6(cfree+0x6d)[0xb7f2529d]
/usr/bin/eciadsl-synch[0x804afb3]
/usr/bin/eciadsl-synch[0x804a53b]
/lib/libc.so.6(__libc_start_main+0xe6)[0xb7eceb26]
/usr/bin/eciadsl-synch[0x8048e71]

what to do?
Re: Version 0.12 available
Posted by eMan, 2010-07-24 10:16
Many thanks
I need driver for ubuntu 10.04 64 bit system
what can I do to install it ?